package com.bonus.canteen.core.drp.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class DrpOutDetail {
   @TableId
   private Long id;
   private Long detailId;
   private String outId;
   private Long inventoryId;
   private BigDecimal fetchNum;
   private Integer totalPrice;
   private Long intoDetailId;
   private Long intervalId;
   private String size;
   private String materialUrl;
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("是否透支库存明细(1是2否)")
   private Integer ifOverdraft;

   public Long getId() {
      return this.id;
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public String getOutId() {
      return this.outId;
   }

   public Long getInventoryId() {
      return this.inventoryId;
   }

   public BigDecimal getFetchNum() {
      return this.fetchNum;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public Long getIntoDetailId() {
      return this.intoDetailId;
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public String getSize() {
      return this.size;
   }

   public String getMaterialUrl() {
      return this.materialUrl;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getIfOverdraft() {
      return this.ifOverdraft;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setOutId(final String outId) {
      this.outId = outId;
   }

   public void setInventoryId(final Long inventoryId) {
      this.inventoryId = inventoryId;
   }

   public void setFetchNum(final BigDecimal fetchNum) {
      this.fetchNum = fetchNum;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setIntoDetailId(final Long intoDetailId) {
      this.intoDetailId = intoDetailId;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setMaterialUrl(final String materialUrl) {
      this.materialUrl = materialUrl;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setIfOverdraft(final Integer ifOverdraft) {
      this.ifOverdraft = ifOverdraft;
   }

}
